# Showcase - Contributing

If you would like to showcase your own setup, submit a PR to the repository
 following the main [contribution guidelines][contributing],
 [code of conduct][code_of_conduct] and these guidelines:

1. Create a new directory with your handle in [this directory][directory] with
 a new markdown file. For example:
 `timmo/timmo.md`
1. Add your resources (images/gifs) to the directory you just created.
1. Add a blurb to your file (at a minimum), with any images, or other,
 information using [timmo.md][timmo.md] as a simple example.
1. If possible, add a 'how I did it' section to your file explaining how to
 replicate, for example, your theme.
1. Finally, add your file's name and path to the `documentation/mkdocs.yml`
 file in the navigation section. Once again use my example and make a new
 line at the end. This will allow [mkdocs] to see your file and add it to
 the navigation of the documentation.

!!! info ""
    Any large files should be stored elsewhere and linked in. For example,
    videos should be hosted on a reputable site such as YouTube, Vimeo etc.
    Any bad / dead links will be removed.

[code_of_conduct]: https://github.com/timmo001/home-panel/blob/master/.github/CODE_OF_CONDUCT.md
[contributing]: https://github.com/timmo001/home-panel/blob/master/.github/CONTRIBUTING.md
[directory]: https://github.com/timmo001/home-panel/tree/master/documentation/docs/showcase
[mkdocs]: https://www.mkdocs.org
[timmo.md]: timmo/timmo.md
